{
  "name": "eme-backend",
  "version": "1.0.0",
  "description": "EME — Emprunt Matériel ENSUP — API REST",
  "main": "dist/app.js",
  "scripts": {
    "build": "tsc -p tsconfig.build.json",
    "start": "node dist/app.js",
    "dev": "nodemon --exec ts-node src/app.ts",
    "prisma:generate": "prisma generate",
    "prisma:migrate": "prisma migrate dev",
    "prisma:studio": "prisma studio",
    "seed": "ts-node prisma/seed.ts",
    "fixtures": "ts-node prisma/fixtures.ts",
    "lint": "eslint .",
    "lint:fix": "eslint . --fix",
    "format": "prettier --write \"src/**/*.ts\" \"prisma/**/*.ts\"",
    "format:check": "prettier --check \"src/**/*.ts\" \"prisma/**/*.ts\""
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "type": "commonjs",
  "devDependencies": {
    "@eslint/js": "^10.0.1",
    "@types/cors": "^2.8.19",
    "@types/express": "^5.0.6",
    "@types/jsonwebtoken": "^9.0.10",
    "@types/node": "^25.9.1",
    "eslint": "^10.5.0",
    "eslint-config-prettier": "^10.1.8",
    "globals": "^17.6.0",
    "nodemon": "^3.1.14",
    "prettier": "^3.8.4",
    "prisma": "^7.8.0",
    "ts-node": "^10.9.2",
    "typescript": "^6.0.3",
    "typescript-eslint": "^8.61.1"
  },
  "dependencies": {
    "@prisma/adapter-mssql": "^7.8.0",
    "@prisma/client": "^7.8.0",
    "cors": "^2.8.6",
    "dotenv": "^17.4.2",
    "express": "^5.2.1",
    "jsonwebtoken": "^9.0.3"
  }
}
